//
//  YHHomeWebViewBottomForSavePicView.swift
//  galaxy
//
//  Created by davidhuangA on 2024/4/22.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHHomeWebViewBottomForSavePicView: UIView {
    static let viewH : CGFloat = 98.0
    
    override init(frame: CGRect) {
        super.init(frame: CGRect(x: 0, y: 0, width: KScreenWidth, height: YHBasicInfoFillBottomView.viewH))
        setupUI()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    
    
    typealias Block = (Int) -> ()
    var block: Block?
    var saveButton: UIButton!
}

private extension YHHomeWebViewBottomForSavePicView {
    func setupUI() {
        backgroundColor = UIColor(hex: 0x00634A)
        saveButton = {
            let button = UIButton(type: .custom)
            button.adjustsImageWhenHighlighted = false
            button.setBackgroundImage(UIImage(named: "hk_event_picture_save"), for: .normal)
            button.addTarget(self, action: #selector(save), for: .touchUpInside)
            return button
        }()
        addSubview(saveButton)
        saveButton.snp.makeConstraints { make in
            make.left.right.top.equalToSuperview()
            make.height.equalTo(67)
        }
    }
    
    @objc func save() {
        block?(0)
    }
}
